{% extends "collectors/base.html" %}

{% block main %}
    <div class="collector-details">
        <div class="alert-box">
            {% for message in get_flashed_messages() %}<div class="alert">{{ message }}</div>{% endfor %}
        </div>
        <div class="collector-details-header">
            <h1>Data Point Details for {{ variable_name }}</h1>
        </div>
        <div class="collector-details-data">
            <div class="collector-details-data-base">
                <h2>Data Point Settings</h2>
                <form id="collector-details-data-form" method="post">
                    {% include 'collectors/components/details-data-point.html' %}
                </form>
            </div>
            <div>
                <button class="submit-button-3" type="submit" name="save" form="collector-details-data-form">Save</button>
                <button class="button-red" type="submit" name="delete" form="collector-details-data-form">Delete</button>
            </div>
        </div>
    </div>
{% endblock %}